org.codehaus.groovy.classgen

## Class InnerClassVisitorHelper

- java.lang.Object
- - org.codehaus.groovy.ast.CodeVisitorSupport
  - - org.codehaus.groovy.ast.ClassCodeVisitorSupport
    - - org.codehaus.groovy.classgen.InnerClassVisitorHelper

All Implemented Interfaces:
  GroovyClassVisitor, GroovyCodeVisitor

Direct Known Subclasses:
  InnerClassCompletionVisitor, InnerClassVisitor

    public abstract class InnerClassVisitorHelper
    extends ClassCodeVisitorSupport

### Constructor Summary

Constructors
Constructor and Description
`InnerClassVisitorHelper()`

### Method Summary

Methods
`protected ClassNode` `getClassNode(ClassNode node, boolean isStatic)`
`protected int` `getObjectDistance(ClassNode node)`
`protected boolean` `isStatic(InnerClassNode node)`
`protected void` `setMethodDispatcherCode(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected void` `setPropertyGetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected void` `setPropertySetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`

### Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

`addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop`

### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitDeclarationExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InnerClassVisitorHelper

    public InnerClassVisitorHelper()

### Method Detail

#### setPropertyGetterDispatcher

    protected void setPropertyGetterDispatcher(BlockStatement block,
                                   Expression thiz,
                                   Parameter[] parameters)

#### setPropertySetterDispatcher

    protected void setPropertySetterDispatcher(BlockStatement block,
                                   Expression thiz,
                                   Parameter[] parameters)

#### setMethodDispatcherCode

    protected void setMethodDispatcherCode(BlockStatement block,
                               Expression thiz,
                               Parameter[] parameters)

#### isStatic

    protected boolean isStatic(InnerClassNode node)

#### getClassNode

    protected ClassNode getClassNode(ClassNode node,
                         boolean isStatic)

#### getObjectDistance

    protected int getObjectDistance(ClassNode node)